Package org.kie.api.pmml

## Class PMML4Data<T>

- java.lang.Object
- - org.kie.api.pmml.PMML4Data<T>

- All Implemented Interfaces:
    `PMML4DataType`

      public abstract class PMML4Data<T>
      extends java.lang.Object
      implements PMML4DataType

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PMML4Data​(java.lang.String correlationId, java.lang.String name, java.lang.String context, boolean placeholder)` |
    `protected` | `PMML4Data​(java.lang.String correlationId, java.lang.String name, java.lang.String context, java.lang.String displayName, T value)` |
    `protected` | `PMML4Data​(java.lang.String correlationId, java.lang.String name, java.lang.String context, java.lang.String displayName, T value, java.lang.Double weight)` |
    `protected` | `PMML4Data​(java.lang.String correlationId, java.lang.String name, java.lang.String context, java.lang.String displayName, T value, java.lang.Double weight, java.lang.Boolean valid, java.lang.Boolean missing)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCapitalizedName()` |
    `java.lang.String` | `getContext()` |
    `java.lang.String` | `getCorrelationId()` |
    `java.lang.String` | `getDisplayValue()` |
    `java.lang.String` | `getName()` |
    `T` | `getValue()` |
    `java.lang.Class<?>` | `getValueClass()` |
    `java.lang.Double` | `getWeight()` |
    `int` | `hashCode()` |
    `boolean` | `isMissing()` |
    `boolean` | `isPlaceholder()` |
    `boolean` | `isValid()` |
    `void` | `setContext​(java.lang.String context)` |
    `void` | `setCorrelationId​(java.lang.String correlationId)` |
    `void` | `setDisplayValue​(java.lang.String displayValue)` |
    `void` | `setMissing​(boolean missing)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setPlaceholder​(java.lang.Boolean placeholder)` |
    `void` | `setValid​(boolean valid)` |
    `void` | `setValue​(T value)` |
    `void` | `setWeight​(java.lang.Double weight)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.pmml.PMML4DataType

      `registerWithDataFactory`

- - ### Constructor Detail

    - #### PMML4Data

          protected PMML4Data​(java.lang.String correlationId,
                              java.lang.String name,
                              java.lang.String context,
                              boolean placeholder)

    - #### PMML4Data

          protected PMML4Data​(java.lang.String correlationId,
                              java.lang.String name,
                              java.lang.String context,
                              java.lang.String displayName,
                              T value)

    - #### PMML4Data

          protected PMML4Data​(java.lang.String correlationId,
                              java.lang.String name,
                              java.lang.String context,
                              java.lang.String displayName,
                              T value,
                              java.lang.Double weight)

    - #### PMML4Data

          protected PMML4Data​(java.lang.String correlationId,
                              java.lang.String name,
                              java.lang.String context,
                              java.lang.String displayName,
                              T value,
                              java.lang.Double weight,
                              java.lang.Boolean valid,
                              java.lang.Boolean missing)

  - ### Method Detail

    - #### getValue

          public T getValue()

    - #### setValue

          public void setValue​(T value)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getCapitalizedName

          public java.lang.String getCapitalizedName()

    - #### isValid

          public boolean isValid()

    - #### setValid

          public void setValid​(boolean valid)

    - #### isMissing

          public boolean isMissing()

    - #### setMissing

          public void setMissing​(boolean missing)

    - #### getContext

          public java.lang.String getContext()

    - #### setContext

          public void setContext​(java.lang.String context)

    - #### getDisplayValue

          public java.lang.String getDisplayValue()

    - #### setDisplayValue

          public void setDisplayValue​(java.lang.String displayValue)

    - #### getWeight

          public java.lang.Double getWeight()

    - #### setWeight

          public void setWeight​(java.lang.Double weight)

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

    - #### isPlaceholder

          public boolean isPlaceholder()

    - #### setPlaceholder

          public void setPlaceholder​(java.lang.Boolean placeholder)

    - #### getCorrelationId

          public java.lang.String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId​(java.lang.String correlationId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`